Fetch a pipeline
curl --request GET \
--url https://api.vectorshift.ai/v1/pipeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vectorshift.ai/v1/pipeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vectorshift.ai/v1/pipeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": {}
}{
"status": "failed",
"error": "<string>"
}{}{
"status": "failed",
"error": "<string>"
}{
"status": "failed",
"error": "<string>"
}Pipelines
Fetch an existing pipeline
Retrieve a pipeline by ID or name
GET
/
pipeline
Fetch a pipeline
Authorizations
Bearer token authentication using API key
Query Parameters
Pipeline ID. Either id or name is required
Name of the pipeline. Required if id is not provided
Optional username for name-based search
Optional organization name for name-based search
⌘I
